bin/nova-manage.py VpnCommands.spawn calls non-existant method VpnCommands._vpn_for

Bug #820059 reported by Matthew Hooker on 2011-08-02
14
This bug affects 3 people
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Medium
Ivan Kolodyazhny
Diablo
Undecided
Unassigned

Bug Description

As pylint catches, non-existant method VpnCommands._vpn_for is called on line 173 of bin/nova-manage
https://jenkins.openstack.org/job/nova-pylint-errors/violations/file/bin/nova-manage/?

if the spawn command is ever called, an AttributeError will be raised

_vpn_for was removed in this commit

revno: 477 [merge]
author: Vishvananda Ishaya <email address hidden>
committer: Tarmac
branch nick: nova
timestamp: Wed 2010-12-22 18:24:00 +0000
message:
  Fixes per-project vpns (cloudpipe) and adds manage commands and support for certificate revocation.

someone with domain experience should either re-add _vpn_for of remove the spawn method.

Thierry Carrez (ttx) on 2011-08-11
Changed in nova:
importance: Undecided → Medium
status: New → Confirmed
Ivan Kolodyazhny (e0ne) on 2011-11-24
Changed in nova:
assignee: nobody → Ivan kolodyazhny (e0ne)
Ivan Kolodyazhny (e0ne) wrote :

Fix was ported from Grid Dynamics Nova fork: https://github.com/griddynamics/osc-robot-nova/
Code changes: https://review.openstack.org/#change,1896

Changed in nova:
status: Confirmed → Fix Committed
Ivan Kolodyazhny (e0ne) on 2011-11-24
Changed in nova:
status: Fix Committed → In Progress

Reviewed: https://review.openstack.org/1896
Committed: http://github.com/openstack/nova/commit/c9393f76a3da9cb4a564dab45ddde4f206953dca
Submitter: Jenkins
Branch: master

commit c9393f76a3da9cb4a564dab45ddde4f206953dca
Author: Ivan Kolodyazhny <email address hidden>
Date: Thu Nov 24 14:54:30 2011 +0200

    Bug 820059: bin/nova-manage.py VpnCommands.spawn calls non-existant method VpnCommands._vpn_for - fixed

    Change-Id: I86c509d98fac685a5d658f397d0672f71b4bc175

Changed in nova:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/2806
Committed: http://github.com/openstack/nova/commit/fc37582812747887ebcce766fd80541da98c3b43
Submitter: Jenkins
Branch: stable/diablo

commit fc37582812747887ebcce766fd80541da98c3b43
Author: Ivan Kolodyazhny <email address hidden>
Date: Thu Nov 24 14:54:30 2011 +0200

    Bug 820059: bin/nova-manage.py VpnCommands.spawn calls non-existant method VpnCommands._vpn_for - fixed

    Change-Id: I86c509d98fac685a5d658f397d0672f71b4bc175

tags: added: in-stable-diablo
Thierry Carrez (ttx) on 2012-01-25
Changed in nova:
milestone: none → essex-3
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2012-04-05
Changed in nova:
milestone: essex-3 → 2012.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers